Bug 3011 - compressed files not regarded by .so command
: compressed files not regarded by .so command
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-18 21:39 by
Modified: 2009-04-24 10:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-18 21:39:58
Here is a piece of zshall(1) manual page:

.so man1/zshmisc.1
.so man1/zshexpn.1
.so man1/zshparam.1
.so man1/zshoptions.1
.so man1/zshbuiltins.1
.so man1/zshzle.1
.so man1/zshcompwid.1
.so man1/zshcompsys.1
.so man1/zshcompctl.1
.so man1/zshmodules.1
.so man1/zshtcpsys.1
.so man1/zshzftpsys.1
.so man1/zshcontrib.1

There appears to be three problems with displaying this page:

1) no default path (/usr/{share,local}/man) search happens;
2) no $NAME.*z* search suffix implied (the page hasn't got any prior knowledge
about its compound parts, but we do know that all the pages are compressed in our
distro; so the search with the implied suffix should also happen);
3) when the absolute path with the actual suffix is given, groff cannot
understand compressed files; so there's a nice portion of shit on the screen. 
And this is the best you can get.

So here's a bunch of problems.  Since I can fix the manual page to source the
real files, the most obvious problem is #3.
------- Comment #1 From 2005-01-11 16:33:25 -------
Это моя бага :)
------- Comment #2 From 2006-09-27 22:32:49 -------
(вкрадчиво) А починишь? :)
------- Comment #3 From 2006-09-28 20:51:12 -------
починю. :)
------- Comment #4 From 2008-09-02 17:53:16 -------
Это бага не groff-base, а man. Раз уж он обрабатывает .so:

http://git.altlinux.org/people/legion/packages/?p=man.git;a=blob;f=man/src/man.c;h=ce166a6eadfd0569deb8eb09da2223ea93df59c9;hb=51acabb08a3f92db16e66972686c4db21bcd12f0#l302
------- Comment #5 From 2008-09-05 03:38:59 -------
Раз ошибка есть её нужно исправлять. У меня есть идея как это сделать.

Но предупреджаю, что благодаря отработавшим .so страница zshall(1) станет 23107
строк.
------- Comment #6 From 2008-09-08 12:23:26 -------
Ничего, всё искать удобней :)
------- Comment #7 From 2009-04-24 10:16:15 -------
Fixed in 1.6f-alt10